## The ClusterListener object

### Table of Contents

- Introduction
- org.apache.catalina.ha.session.ClusterSessionListener
- Attributes
  1. Common Attributes

### Introduction

The `org.apache.catalina.ha.ClusterListener` base class lets you listen in on messages that are received by the `Cluster` component.

### org.apache.catalina.ha.session.ClusterSessionListener

When using the DeltaManager, the messages are received by the Cluster object and are propagated to the to the manager through this listener.

### Attributes

#### Common Attributes

Attribute | Description
--- | ---
`className` |